## ni-axis-handle

> Add axis handles to a graph.

The user can drag an axis handle to offset the associated axis.

```html
<ni-cartesian-graph>
<ni-cartesian-axis show grid-lines show-label label="Axis 1" axis-position='bottom'>
</ni-cartesian-axis>
<ni-cartesian-axis show grid-lines show-label label="Axis 2" axis-position='top'>
</ni-cartesian-axis>
<ni-axis-handle show orientation="horizontal" label="h1"></ni-axis-handle>
<ni-axis-handle show orientation="vertical" label="h2"></ni-axis-handle>
</ni-cartesian-graph>
```
Multiple axis handles can be added to a graph and configured. One axis handle per axis is recommended.


### ni-axis-handle properties

**position** (number) - the value is relative to the visible area of the graph. Default: 0.5

**absolutePosition** (number) - the axis handle position defined by the value on the axis. It has higher priority than position. Default value: undefined.

**show** (boolean) - if true the axis handle will be visible. Default: false

**orientation** (string) - the orientation of the axis handle. Default: 'vertical'

**location** (string) - the location of the axis handle. Default: 'far'

**axisIndex** (number) - the axis index on the requested orientation. Default: 0.
                This property is deprecated. Use axis instead. ni-webcharts may remove this property in the future. 

**label** (string) - the label of the axis handle. Default: ''

**fill** (color) - is the color of the axis handle thumb. Default value: undefined (use fill color from CSS class .thumbIcon).

**axis** (string) - the axis that this handle targets to. Default: ''.
                 Accepted values: an axis-ref. See the [axis-ref property](https://github.com/ni-kismet/webcharts/blob/master/docs/API.md#ni-cartesian-axis-properties) in ni-cartesian-axis. In case an axis with the specified axis-ref
                is not found the first axis is used 
