## ni-cursor

> Add cursors to a graph.

Sometimes you want to take a measurement off a graph you have made. Cursors allow
you to do that.

```html
<ni-cartesian-graph>
  <ni-cartesian-axis show grid-lines show-label label="Axis 1" axis-position='bottom'>
  </ni-cartesian-axis>
  <ni-cartesian-axis show grid-lines show-label label="Axis 2" axis-position='top'>
  </ni-cartesian-axis>
  <ni-cursor label="Cursor 1" show show-label snap-to-plot="0"></ni-cursor>
</ni-cartesian-graph>
```
Multiple cursors can be added to a graph and configured.


### ni-cursor properties

**show** (boolean) - if true the cursor will be visible. Default: false

**label** (string) - the label of the cursor. Default: ''

**show-label** (boolean) - if true the cursor label will be visible.
               Default: false

**target-shape** (string) - the shape of cursor. Default: 'ellipse'.
Accepted values: 'ellipse', 'square', 'diamond', 'triangle', 'cross'

**terget-size** (number) - the size of the cursor manipulator symbol, in pixels.
Default: 8.

**crosshair-style** (string) - the shape of crosshair. Default: 'both'.
Accepted values: 'both', 'vertical', 'horizontal', 'none'

**show-value** (boolean) - if true the coordinates of the cursor will
               be visible. Default: false

**snap-to-plot** (number) - the number of the plot or -1 to snap to any plot.
               Default: undefined (no snapping)

**interpolate** (boolean) - if true the cursor will do a linear interpolation
               between points when modiffying position. Default: false
               

**xaxis** (string) - the X axis that this cursor will use when snap-to-plot is undefined.
               Default: ''. Accepted values: an axis-ref. In case an xaxis with the specified axis-ref
               is not found the first xaxis is used

**yaxis** (string) - the Y axis that this cursor will use when snap-to-plot is undefined.
               Default: ''. Accepted values: an axis-ref. In case an yaxis with the specified axis-ref
               is not found the first yaxis is used

**x** (number) - the x target coordinate of the cursor. This coordinate
               is relative to the visible area of the graph, in the interval 0 to 1.
               0 is on the left edge and 1 on the one to the right.
               Default: 0.5

**y** (number) - the y target coordinate of the cursor. This coordinate
               is relative to the visible area of the graph, in the interval 0 to 1.
               0 is on the bottom edge and 1 on the top one.
               Default: 0.5

**font-family** (string) - the font used for cursor label and values.
               Default: 'sans-serif'

**font-size** (string) - the font size used for cursor label and values.
               Default: '10px'

**font-style** (string) - the font style used for cursor label and values.
               Default: ''

**show-thumbs** (string) - the visibility of thumbs and axis on which they appear.
               Default: 'none'. Accepted values: 'r', 'l', 'b', 't', 'none'

**dashes** (number) - an array of numbers to specify alternating lengths of lines and gaps.
               Default: [] (solid line cursor).

**thumb-label** (string) - the text to use on the thumb for the cursor.
               Default: '' (no label).

**thumb-color** (color) - specify a color to fill the cursor thumbs.
                Default: undefined (use style of thumbIcon class)

TODO: clean up and document the events generated by cursors
