## ni-digital-axis
> A custom element that adds a digital axis to a digital graph.

A digital axis displays the names of signals and buses and is capable
of expanding or collapsing individual buses.

```html
<ni-digital-graph value="[[0, 1, 1, 0, 1], [0, 1, 1, 1, 0], [1, 1, 0, 0, 1]]">
    <ni-digital-axis show axis-position="left"></ni-digital-axis>
    <ni-digital-bus label="Bus 1">
        <ni-digital-signal show label="Signal 1"></ni-digital-signal>
        <ni-digital-signal show label="Signal 2"></ni-digital-signal>
        <ni-digital-signal show label="Signal 3"></ni-digital-signal>
    </ni-digital-bus>
</ni-digital-graph>
```


### ni-digital-axis properties

**show** (boolean) - if true the axis will be visible. Default: false

**axis-position** (string) - the position of the axis. Default: 'left'
               Accepted values: 'left' and 'right'

**width** (number or string) - the width of the axis in px.
               Use 'automatic' to let the width be calculated depending on the bus and signal labels.
               Default: 'automatic'

**signal-symbol** (string) - a HTML element to use as signal symbol. Default: null

**bus-symbol-expanded** (string) - a HTML element to use as symbol for expanded buses. Default: null

**bus-symbol-collapsed** (string) - a HTML element to use as symbol for collapsed buses. Default: null
