## ni-digital-bus
> A custom element that adds a bus to a digital graph.

A bus is the graphic representation of an aggregation of multiple digital signals.
The aggregated signals are determined by nested ni-digital-signal elements.

```html
<ni-digital-graph value="[[0, 1, 1, 0, 1], [0, 1, 1, 1, 0], [1, 1, 0, 0, 1]]">
    <ni-digital-bus label="Bus 1">
        <ni-digital-signal show label="Signal 1"></ni-digital-signal>
        <ni-digital-signal show label="Signal 2"></ni-digital-signal>
        <ni-digital-signal show label="Signal 3"></ni-digital-signal>
    </ni-digital-bus>
</ni-digital-graph>
```


### ni-digital-bus properties

**label** (string) - the name of the bus. Default: ''

**collapse** (boolean) - if true the bus will be collapsed
               meaning its signals are not displayed. Default: false

**bit-numbering** (string) - specifies whether the first signal
               in the bus is the least significant bit or most significant bit.
               Default: 'lsb'. Accepted values: 'lsb', 'msb'

**show-labels** (boolean) - if true the bus values will be drawn
               on top of each bus segment. Default: false

**label-position** (string) - specifies the position of bus labels
               between two bus value changes.
               Default: 'center'. Accepted values: 'center', 'left', 'right'

**label-format** (string) - specifies the format of bus labels.
               Default: 'binary'. Accepted values: 'binary', 'decimal', 'hex'
