## ni-digital-graph
> A custom element that allows to graph digital waveform data.
An ni-digital-graph is a declarative way, that uses custom elements, to add a digital
graph to a web page. Specify your data sets using the value attribute and customize how
the data is renderended using nested custom elements such as *ni-digital-axis*,
*ni-digital-signal* or *ni-digital-bus*.
Example:
```html
<ni-digital-graph value="[[0, 1, 1, 0, 1], [0, 1, 1, 1, 0], [1, 1, 0, 0, 1]]">
    <ni-cartesian-axis label="Time" show show-label axis-position="bottom"></ni-cartesian-axis>
    <ni-digital-axis show axis-position="left"></ni-digital-axis>
    <ni-digital-bus label="Bus 1">
        <ni-digital-signal show label="Signal 1"></ni-digital-signal>
        <ni-digital-signal show label="Signal 2"></ni-digital-signal>
        <ni-digital-signal show label="Signal 3"></ni-digital-signal>
    </ni-digital-bus>
</ni-digital-graph>
```


### ni-digital-graph properties

**line-width** (number) - the width of signal and bus lines.
               Use 1 for maximum performance as thicker lines can be slower,
               depending on the browser and the graphic card used. Default: 1

**scrollbars** (string) - enables horizontal or vertical scrollbars.
               Default: 'none' Accepted values: 'none', 'horizontal', 'vertical' and 'all'
