## ni-cursor

> Add range cursors to a graph.

Sometimes you want to take a range measurement off a graph you have made. Range cursors allow
you to do that.

```html
<ni-cartesian-graph>
  <ni-cartesian-axis show grid-lines show-label label="Axis 1" axis-position='bottom'>
  </ni-cartesian-axis>
  <ni-cartesian-axis show grid-lines show-label label="Axis 2" axis-position='top'>
  </ni-cartesian-axis>
  <ni-range-cursor label="Cursor 1" show show-label></ni-range-cursor>
</ni-cartesian-graph>
```
Multiple cursors can be added to a graph and configured.


### ni-range-cursor properties

 **show** (boolean) - if true the cursor will be visible. Default: false

 **label** (string) - the name of the cursor. Default: ''

 **show-label** (boolean) - if true the cursor name will be visible.
Default: false

 **show-value** (boolean) - if true the cursor value will be visible.
Default: false

 **show-borders** (boolean) - if true the cursor border will be visible.
Default: true

 **orientation** (string) - The orientation of the cursor. Default: vertical

 **halign** (string) - The alingment of the cursor label and value. Possible4 values
  are 'left', 'right', 'top', 'bottom'. Default: top *

 **transparent-range** (boolean) - if true the cursor range bettern the edges will be transparent and outside the cursor range is colored.
Default: false

 **line-width** (number) - the width of the cursor edge lines.
Default: 1
 **fill-color** (color) - specify a color to fill the cursor range.
Default: #4F4F4F4F

 **constrain-to-edge** (boolean) - if true the cursor is constrained to stay inside the plot boundaries.
Default: false

 **xaxis** (string) - the X axis that this cursor will use to calculate the range.
Default: ''. Accepted values: an axis-ref. In case an xaxis with the specified axis-ref
is not found the first xaxis is used

 **yaxis** (string) - the Y axis that this cursor will use calculate the range.
Default: ''. Accepted values: an axis-ref. In case an yaxis with the specified axis-ref
is not found the first yaxis is used

 **start** (number) - the start position of the cursor in axis coordinates
Default: undefined

 **end** (number) - the end position of the cursor in axis coordinates
Default: undefined

 **relative-start** (number) - the start position of the cursor in relative coordinates
Default: 0.45
 **relative-end** (number) - the end position of the cursor in relative coordinates
Default: 0.55

 **dashes** (array) - an array of numbers to specify alternating lengths of lines and gaps.
Default: [] (solid line cursor).


TODO: clean up and document the events generated by cursors
