# TypedHistoryBuffer

A TypedHistoryBuffer is a HistoryBuffer with information about the data type
of the values being pushed to it.

The data type is used exclusively for optimizing the push of new data into the buffer operation.

Example:
```javascript
var hb1 = new TypedHistoryBuffer(1024);

hb1.setNIType(NITypes.DOUBLE.makeArray());

hb1.pushTypedData([1, 2]);
hb1.pushTypedData([3, 4, 5]);

console.log(hb1.toArray()); //[1, 2, 3, 4, 5]
```

TypedHistoryBuffer with width = 2:
```javascript
var hb1 = new TypedHistoryBuffer(1024, 2);

hb1.setNIType(NITypes.DOUBLE.makeArray(2));

hb1.pushTypedData([[1, 11], [2, 22]]);
hb1.pushTypedData([[3, 33], [4, 44], [5, 55]]);

console.log(hb1.toArray()); //[[1, 11], [2, 22], [3, 33], [4, 44], [5, 55]]
```



## TypedHistoryBuffer methods

**TypedHistoryBuffer(capacity, width)** - the History buffer constructor creates
   a new history buffer with the specified capacity (default: 1024) and width (default: 1).
   The data type is set to unkown. 

**setNItype(niType)** - sets the data type of the values being pushed.
       Supported data types:
       * any numeric type
       * one dimension numeric arrays
       * two dimensions numeric arrays
       * clusters of numerics
       * array of clusters of numerics
    

**pushTypedData(value)** - pushes a new value to the history buffer 
